package com.icomsys.main_vm.db.jpa.repo.scenario;

import com.icomsys.main_vm.db.jpa.entity.scenario.TbScenarioRelease;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface TbScenarioReleaseRepo extends JpaRepository<TbScenarioRelease, Long> {
    TbScenarioRelease findByMasterSeqAndReleaseYn(Long masterSeq, String releaseYn);
    TbScenarioRelease findTopByMasterSeqOrderByVersionDesc(Long masterSeq);
    List<TbScenarioRelease> findByIntentSeqAndReleaseYn(Long intentSeq, String releaseYn);
}
